# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'message_exchange/version'

Gem::Specification.new do |spec|
  spec.name          = "message_exchange"
  spec.version       = MessageExchange::VERSION
  spec.authors       = ["Gavin Laking", "Salla Turunen"]
  spec.email         = ["gavin.laking@onthebeach.co.uk", "salla.turunen@onthebeach.co.uk"]
  spec.description   = %q{Gem to facilitate HTTP request/responses between applications.}
  spec.summary       = spec.description
  spec.homepage      = "http://www.onthebeach.co.uk/"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "webmock"

  spec.add_dependency "activesupport", "3.2.13"
  spec.add_dependency "yajl-ruby"
end
