require "spec_helper"

describe MessageExchange::Request do
  let(:uri)    { "http://www.myurl.woo/" }

  describe "#request" do
    subject { described_class.new(uri).request }

    it "raises the not implemented error" do
      expect{ subject }.to raise_error(NotImplementedError, "Subclasses must implement this")
    end
  end

  describe "#port" do
    subject { described_class.new(uri).port }

    it "sets the port to 80" do
      expect(subject).to eq(80)
    end
  end
end
