require "spec_helper"

describe MessageExchange::ServerErrorResponse do
  describe "#status" do
    subject { described_class.new.status }

    it { subject.should eq(500) }
  end

  describe "#body" do
    subject { described_class.new.body }

    it { subject.should eq('{ "error": "Request timed out." }') }
  end

  describe "#success?" do
    subject { described_class.new.success? }

    it { subject.should be_false }
  end
end
